Subject: Re: FVWM: need help with Prev (XTerm) Focus

From: "Rouben Rostamian" <[email-masked]>
Date: Tue, 17 Jun 2003 21:49:47 -0400

Dominik Vogt <[email-masked]> wrote:
> On Mon, Jun 16, 2003 at 01:08:10PM -0400, Rouben Rostamian wrote:
> > I have:
> > 
> > Style XTerm SloppyFocus
> > 
> > AddToFunc RestartFunction
> > + I Prev (XTerm) Focus
> > + I Echo I am in restart
> > 
> > I expect the focus to go to an xterm after a Restart but this
> > does not seem to work.  After executing a Restart, either through
> > a menu or a key binding, none of my xterms gain focus.
> > 
> > On the other hand, if I execute "Prev (XTerm) Focus" via FvwmConsole,
> > the focus is transfered to an xterm correctly.
> > 
> > Am I doing something wrong in what I have described above or should
> > I look for the source of the trouble somewhere else?
> 
> The command is executed too early.  Fvwm has not yet captured the
> applications windows, so it does not have a window to focus.  Try
> to focus the window *before* the restart:
> 
>   addtofunc my_restart
>   + i prev (XTerm) Focus
>   + i restart
> 
> Unless the focus policy tells something else, the window will
> retain the focus over the restart.  This may not work well with
> SloopyFocus or MouseFocus.

Thanks, Dominik, for the suggestion. I tried it but later I found
out that it was not needed after all.  I found the source of my
problem elsewhere.  All is well now.

Regards,

Rouben Rostamian
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].